<!DOCTYPE html>
<header> 
<title>Object recognition application</title> 
<link rel="stylesheet" href="http://code.jquery.com/mobile/1.0a1/jquery.mobile-1.0a1.min.css" />
<link rel="stylesheet" href="http://huy.host56.com/style.css" type="text/css"  media="screen">
<script src="http://code.jquery.com/jquery-1.4.3.min.js"></script>
<script src="http://code.jquery.com/mobile/1.0a1/jquery.mobile-1.0a1.min.js"></script>
<script type="text/javascript">

// setup our test canvas
// and a simple drawing function

window.onload = function() {
       	var oCanvas =  document.getElementById("thecanvas");
        oCanvas.width=screen.width;
        oCanvas.height=screen.height;
        oCanvas.crossOrigin= 'anonymous'; 
        var video=document.getElementById("video");
        video.width=screen.width;
        var msg=document.getElementById("error");
                
        if( navigator.getUserMedia ) {
                video.onclick = function () {
                var oCtx = oCanvas.getContext("2d");                
                oCtx.drawImage(video, 0, 0, screen.width, screen.height);
                
        }        
        var success = function (stream) {
                    video.src = stream;
                };
        var error = function ( err ) {
                    msg.innerHTML = "Error: " + err.code;
                };
        navigator.getUserMedia('video', success, error);
    
    
        oCanvas.onclick = function () {
        var strData = oCanvas.toDataURL();  
        document.location.href=strData.replace('image/png', 'image/octet-stream');  
        }
        } else {
                msg.innerHTML = "Native web camera not supported :(";
            };   
       
}
</script>
</header>
<body>
<div data-role="page">
<center><video class="video" id="video" title="Click here to capture an image" autoplay> </video> </center><br>
<center><canvas class="the canvas" id="thecanvas" title="Click here save the image"></canvas> </center><br>
<div data-role="content">
<form enctype="multipart/form-data" action="http://huy.host56.com/query.php" method="POST">
<input type="hidden" name="MAX_FILE_SIZE" value="1000000"/>
<input name="uploadedfile" type="file" data-theme="c"/><br>
<input type="submit" value="Upload File" data-theme="c"/>
</form>
<div  id="error"/>
</div>
</body>
</html>	