package com.pictures;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;



public class MainInterface extends Activity {
	private Button openButton;
	private Button openCameraButton;
	private Button quitButton;
	private android.widget.ImageView imageview;
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //long start = System.currentTimeMillis();
        setContentView(R.layout.main);
        
       
        openButton=(Button) findViewById(R.id.openFile);
        openCameraButton=(Button) findViewById(R.id.openCamera);
        quitButton=(Button)  findViewById(R.id.quit);
        imageview=(android.widget.ImageView) findViewById(R.id.imageview);
        imageview.setImageResource(R.drawable.image);
       
         
        openButton.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v){
	        	Intent myIntent = new Intent(getApplicationContext(),AndroidExplorer.class);
        	 	startActivity(myIntent);          	 	
	        }
	        });
        openCameraButton.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v){
	        	Intent myIntent = new Intent(getApplicationContext(), CameraView.class);
        	 	startActivity(myIntent);          
	        }
	        });
        quitButton.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v){
	        	finish();        
	        }
	        });
        
    }
}
